Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class Tag.Class

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.Tag.Class

Enclosing class:
  Tag

public static class Tag.Class
extends java.lang.Object

An enumeration of the ASN.1 tag classes.

Field Summary
`static Tag.Class` | `APPLICATION`
`static Tag.Class` | `CONTEXT_SPECIFIC`
`private int` | `encoding`
`private java.lang.String` | `name`
`static Tag.Class` | `PRIVATE`
`static Tag.Class` | `UNIVERSAL`

Constructor Summary
`private` | `Tag.Class()`
`private` | `Tag.Class(int enc, java.lang.String name)`

Method Summary
`static Tag.Class` | `fromInt(int i)`
`int` | `toInt()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encoding

    private int encoding

### name

    private java.lang.String name

### UNIVERSAL

    public static final Tag.Class UNIVERSAL

### APPLICATION

    public static final Tag.Class APPLICATION

### CONTEXT_SPECIFIC

    public static final Tag.Class CONTEXT_SPECIFIC

### PRIVATE

    public static final Tag.Class PRIVATE

Constructor Detail

### Tag.Class

    private Tag.Class()

### Tag.Class

    private Tag.Class(int enc,
                      java.lang.String name)

Method Detail

### toInt

    public int toInt()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### fromInt

    public static Tag.Class fromInt(int i)
                             throws InvalidBERException

  Throws:
    `InvalidBERException` - If the given int does not correspond to any tag class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD